DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
dcmtk::log4cplus::spi::StringMatchFilter Class Reference

This is a very simple filter based on string matching. More...

Inheritance diagram for dcmtk::log4cplus::spi::StringMatchFilter:

## Public Member Functions
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Returns `NEUTRAL` is there is no string match.
Public Member Functions inherited from dcmtk::log4cplus::spi::Filter
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.

## Private Attributes
bool | acceptOnMatch
| Do we return ACCEPT when a match occurs.

## Additional Inherited Members
Public Attributes inherited from dcmtk::log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.

## Detailed Description

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the Logging event, then the `decide` method returns `ACCEPT` if the AcceptOnMatch option value is true, if it is false then `DENY` is returned. If there is no match, `NEUTRAL` is returned.

## Member Data Documentation

## ◆ acceptOnMatch

bool dcmtk::log4cplus::spi::StringMatchFilter::acceptOnMatch
| private

Do we return ACCEPT when a match occurs.

Default is `true`.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/filter.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2